Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.liveness
Class LivenessTransportLayerImpl.DeadChecker

    java.lang.Object
      rice.selector.TimerTask
          org.mpisws.p2p.transport.liveness.LivenessTransportLayerImpl.DeadChecker

All Implemented Interfaces:
  java.lang.Comparable, Cancellable, CancellableTask

Enclosing class:
  LivenessTransportLayerImpl<Identifier>

    protected class LivenessTransportLayerImpl.DeadChecker

extends TimerTask

DESCRIBE THE CLASS

Version:
  $Id: SocketCollectionManager.java 3613 2007-02-15 14:45:14Z jstewart $
Author:
  jeffh

Field Summary
`protected LivenessTransportLayerImpl.EntityManager` | `manager`
`protected int` | `numTries`
`protected int` | `tries`

Fields inherited from class rice.selector.TimerTask
`cancelled, fixedRate, period, selector, seq`

Constructor Summary
`LivenessTransportLayerImpl.DeadChecker(LivenessTransportLayerImpl.EntityManager manager, int numTries, int initialDelay, java.util.Map<java.lang.String,java.lang.Object> options)` Constructor for DeadChecker.

Method Summary
`boolean` | `cancel()`
`void` | `pingResponse(long RTT, java.util.Map<java.lang.String,java.lang.Object> options)` DESCRIBE THE METHOD
`void` | `run()` Main processing method for the DeadChecker object value of tries before run() is called:the time since ping was called:the time since deadchecker was started 1:500:500 2:1000:1500 3:2000:3500 4:4000:7500 5:8000:15500 // ~15 seconds to find 1 path faulty, using source routes gives us 30 seconds to find a node faulty
`java.lang.String` | `toString()`

Methods inherited from class rice.selector.TimerTask
`compareTo, execute, isCancelled, scheduledExecutionTime, setNextExecutionTime, setSelectorManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tries

    protected int tries

### numTries

    protected int numTries

### manager

    protected LivenessTransportLayerImpl.EntityManager manager

Constructor Detail

### LivenessTransportLayerImpl.DeadChecker

    public LivenessTransportLayerImpl.DeadChecker(LivenessTransportLayerImpl.EntityManager manager,
                                                  int numTries,
                                                  int initialDelay,
                                                  java.util.Map<java.lang.String,java.lang.Object> options)

  Constructor for DeadChecker.

  Parameters:
    `address` - DESCRIBE THE PARAMETER
    `numTries` - DESCRIBE THE PARAMETER
    `mgr` - DESCRIBE THE PARAMETER

Method Detail

### pingResponse

    public void pingResponse(long RTT,
                             java.util.Map<java.lang.String,java.lang.Object> options)

  DESCRIBE THE METHOD

  Parameters:
    `address` - DESCRIBE THE PARAMETER
    `RTT` - DESCRIBE THE PARAMETER
    `timeHeardFrom` - DESCRIBE THE PARAMETER

### run

    public void run()

  Main processing method for the DeadChecker object value of tries before run() is called:the time since ping was called:the time since deadchecker was started 1:500:500 2:1000:1500 3:2000:3500 4:4000:7500 5:8000:15500 // ~15 seconds to find 1 path faulty, using source routes gives us 30 seconds to find a node faulty

  Specified by:
    `run` in interface `CancellableTask`
  Specified by:
    `run` in class `TimerTask`

### cancel

    public boolean cancel()

  Specified by:
    `cancel` in interface `Cancellable`
  Overrides:
    `cancel` in class `TimerTask`
  Returns:
    true if it was cancelled, false if it was already complete, or cancelled.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.